# Asterisk Project : Asterisk 13 Function_QUEUE_MEMBER

Created by wikibot on Aug 08, 2014

# QUEUE_MEMBER()

### Synopsis

Count number of members answering a queue.

### Description

Allows access to queue counts [R] and member information [R/W].

queuename is required for all operations interface is required for all member operations.

### Syntax

    QUEUE_MEMBER(queuename,option[,interface])

##### Arguments

- `queuename`
- `option`
  - `logged` - Returns the number of logged-in members for the specified queue.
  - `free` - Returns the number of logged-in members for the specified queue that either can take calls or are currently wrapping up after a previous call.
  - `ready` - Returns the number of logged-in members for the specified queue that are immediately available to answer a call.
  - `count` - Returns the total number of members for the specified queue.
  - `penalty` - Gets or sets queue member penalty.
  - `paused` - Gets or sets queue member paused status.
  - `ringinuse` - Gets or sets queue member ringinuse.
- `interface`

### See Also

- Asterisk 13 Application_Queue
- Asterisk 13 Application_QueueLog
- Asterisk 13 Application_AddQueueMember
- Asterisk 13 Application_RemoveQueueMember
- Asterisk 13 Application_PauseQueueMember
- Asterisk 13 Application_UnpauseQueueMember
- Asterisk 13 Function_QUEUE_VARIABLES
- Asterisk 13 Function_QUEUE_MEMBER
- Asterisk 13 Function_QUEUE_MEMBER_COUNT
- Asterisk 13 Function_QUEUE_EXISTS
- Asterisk 13 Function_QUEUE_WAITING_COUNT
- Asterisk 13 Function_QUEUE_MEMBER_LIST
- Asterisk 13 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538